#ifndef _LEES_GRID_H_
#define _LEES_GRID_H_

#include <iostream>
#include <chrono>
#include <vector>

using std::cout;
using std::cin;
using std::endl;
using std::vector;

class LeesGrid
{
private:
	struct coord
	{
		int x, y;
	};
public:
	LeesGrid(int x, int y)
	{
		grid_size_x = x;
		grid_size_y = y;
	}

	void ShowGrid();
	void SetGrid();
	void CalculateRoute();
	void CalculateRouteNoDisplay();
	void Clean();

private:
	bool PhaseOne();
	void PhaseTwo();

	bool PhaseOneFast();

private:
	int grid_size_x, grid_size_y;
	int** grid;
	coord start_coord, end_coord;
};

#endif